if(belenusHome.oci_interface == true) {
	// start oci get params.......
		var undef;
		var qs 			= location.search.substring(1,location.search.length);
		var HOOK_URL= (belenusHome.tp("HOOK_URL") == null) ? "" : unescape(belenusHome.tp("HOOK_URL"));

		if(HOOK_URL == "") {
			belenusHome.oci_interface = false; // deactivate oci, because no HOOK_URL was found...
			belenusHome.displayNoteInBasket = belenusHome.oldStateOfDisplayNoteInBasket; // sets to the old state
      belenusHome.basketExtraInfo = belenusHome.oldStateOfBasketExtraInfo; 
		}	
    /*
		var CALLER 		= belenusHome.getQueryField(qs,"~caller");
		var OKCODE 		= belenusHome.getQueryField(qs,"~okcode");
		var TARGET 		= belenusHome.getQueryField(qs,"~target");
    */
    
		var supNo 		= belenusHome.tp("supNo");
		var FUNCTION 	= unescape(belenusHome.tp("FUNCTION")).toLowerCase();
		var PRODUCTID 	= unescape(belenusHome.tp("PRODUCTID"));
		
		if(FUNCTION == undef || FUNCTION == "null") 	FUNCTION		="none";
		if(PRODUCTID == undef || PRODUCTID == "null") 	PRODUCTID		="none";
		if(FUNCTION == "validate" && belenusHome.oci_interface == true) {
			belenusHome.location.href="./oci/validate.html?PRODUCTID="+PRODUCTID+"&supNo="+supNo+"&HOOK_URL="+escape(HOOK_URL)+"&language="+belenusHome.currentDataLanguage;
		}
		  
	// end oci get params    
	
	// ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	// this function is called after the iparts frameset is loaded....
	// because the belSearchForSingleID() is using the mrhidden
	function setOCIFunctionality() {
	// start set states
		if(FUNCTION == "detail" && belenusHome.oci_interface == true) {
			// delete saved treepath out of the cookie.....
			// & so the tree don't try to load..... a item
			if(belenusHome.getXCookie("treepath") != null) {
				belenusHome.cookieReset("treepath");
			}
  		belenusHome.openCartWindowEnabled = false;
  		belenusHome.shoppingEnabled = false;	
				//alert("The oci detail function is not supported in this version!");
			belenusHome.belSearchForSingleID();
		} else {
			//normal behavior
		}
	// end set states	  
	}
	
}

function getValidOCI_HOOK_URL() {
  var initIPParams = new Array;
  var validParamsStr = "";
  for(ipParams in belenusHome.transferParametersCollection) {
  	var addIt = true;
  	if(ipParams < 17 || belenusHome.tp(belenusHome.transferParametersCollection[ipParams]) == "" || belenusHome.tp(belenusHome.transferParametersCollection[ipParams]) == null) addIt = false;
  	if(addIt) {
  		for(unp in belenusHome.unallowedOCIParams) {
  			if(belenusHome.transferParametersCollection[ipParams] == belenusHome.unallowedOCIParams[unp]) addIt = false;
  		}
  		if(addIt) validParamsStr += belenusHome.transferParametersCollection[ipParams]+"="+belenusHome.tp(belenusHome.transferParametersCollection[ipParams])+"&";
  	}
  }
  return HOOK_URL.concat("?").concat(validParamsStr);
}


































